'use strict';

var _user = require('./user/user.js');

var _user2 = _interopRequireDefault(_user);

var _resources = require('./resources/resources.js');

var _resources2 = _interopRequireDefault(_resources);

var _agenda = require('./agenda/agenda.js');

var _agenda2 = _interopRequireDefault(_agenda);

var _crossFetch = require('cross-fetch');

var _crossFetch2 = _interopRequireDefault(_crossFetch);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @file index.js
 * @desc This is Btujs definition file, main entry point of the library
 * @module Btujs
 * @requires User
**/

const defaultServerUrl = 'https://btu-api.btu-direct.com';
// const VERSION = require('.././package.json').version

class Btujs {

  /**
   * @constructor Btujs
   * @desc Constructor for the Btujs class
   * @param {string} serverUrl The base url of the server
  **/
  constructor({
    serverUrl = defaultServerUrl
  } = {}) {
    this.resources = new _resources2.default({
      serverUrl,
      fetch: _crossFetch2.default
    });

    this.agenda = new _agenda2.default({
      serverUrl,
      fetch: _crossFetch2.default
    });

    this.user = new _user2.default();
  }
}

module.exports = Btujs;